
<main>
    <div class="album bg-light rond2 d-flex row ">
        <div class="justify-content-between d-flex mt-3">
            <p class="fw-bold">Date de Création : {{ sondage.dateCreation ? sondage.dateCreation|date('Y-m-d') : '' }}</p>
            {% if sondage.estPublie %}
                <div>
                    <a class="btn btn-secondary disabled">Modifier</a>
                    <a class="btn btn-danger disabled">Supprimer</a>
                </div>
            {% else %}
                <div>
                    <a href="{{ path("app_controleur_sondage_edit", {"id": sondage.id}) }}" class="btn btn-secondary">Modifier</a>
                    <a href="{{ path("app_controleur_sondage_delete", {"id": sondage.id}) }}" class="btn btn-danger">Supprimer</a>
                </div>
            {% endif %}

            <p class="fw-bold">Date de Fin : {{ sondage.dateFin ? sondage.dateFin|date('Y-m-d') : '' }}</p>
        </div>
        <div class="container">
            <div class="flex-nowrap">
                {% for question in questions %}
                    <div class="col cadre m-3">
                        <div class="card shadow-sm   cadre-image rond">
                            <div class="card-body">
                                <p class="card-text">
                                    <ul>
                                        <div class="d-flex">
                                            <div class="p-2">
                                                <p> {{ question.numeroQuestion }} </p>
                                            </div>
                                            <div class="p-2"></div>
                                            <div class="ms-auto p-2 text-uppercase">
                                                {% if question.typeQuestion != 'input' %}
                                                    <p> {{ question.typeQuestion }} </p>
                                                {% else %}
                                                    <p>Question Libre</p>
                                                {% endif %}
                                            </div>
                                        </div>

                                        <h3 class="fw-bold text-center">{{ question.titreQuestion }} </h3>
                                        {% if question.typeQuestion == 'qcs' or  question.typeQuestion == 'qcm' %}
                                            {% for reponse in question.getReponses()  %}
                                                <li>{{ reponse.intitule  }}</li>
                                            {% endfor %}
                                        {% endif %}
                                    </ul>
                                </p>
                                <div class="d-flex justify-content-between align-items-center">
                                    {% if is_granted('ROLE_SONDEUR') %}
                                        {% if not sondage.estPublie %}
                                            <div class="btn-group m-2">
                                                {% if question.typeQuestion != 'input' and question.typeQuestion != 'nombre' and question.typeQuestion != 'date' and question.typeQuestion != 'note' %}
                                                    <a type="button" href="{{ path('app_controleur_reponse_new', {'id': question.id }) }}" class="btn btn-sm btn-outline-primary">Ajouter une réponse</a>
                                                {% endif %}
                                                <a type="button" href="{{ path('app_controleur_question_edit', {'id': question.id}) }}" class="btn btn-sm btn-outline-primary">Modifier</a>
                                            </div>
                                            {{ include('controleur_question/_delete_form.html.twig') }}

                                        {% endif %}
                                    <a class="d-inline-flex mt-2 mt-md-0 ms-md-auto" href="{{ path('app_statistiques_show', {'id': question.id}) }}">
                                        <i class="bi bi-bar-chart-line" style="font-size: 175%;"> </i>
                                    </a>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
</main>